<template>
  <van-dialog
    style="--van-dialog-header-padding-top: 21px"
    width="260"
    confirmButtonColor="#FF9300"
    v-model:show="show"
    :title="title"
    show-cancel-button
    :confirmButtonText="confirmText"
    :cancelButtonText="cancelText"
    @confirm="$emit('confirm')"
    @cancel="$emit('confirm')"
  >
    <slot></slot>
  </van-dialog>
</template>

<script setup>
const show = defineModel('show')
const title = defineModel('title')
const confirmText = defineModel('confirmText')
const cancelText = defineModel('cancelText')
defineEmits(['confirm', 'cancel'])
</script>

<style lang="scss" scoped></style>
